Skip to content

Gets the current fiscal year and period

Request

This method looks at all of the fiscal years and periods and finds the first "open" one, which is the current

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

businessUnitIdstringrequired

The id of the business unit being accessed

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/current/{businessUnitId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The fiscal years were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
fiscal_periodnumber, (float)(Fiscal Period)
fiscal_yearobject(Fiscal Year)
Response
{ "fiscal_period": 0.1, "fiscal_year": { "business_unit_id": "string", "custom_field_values": [ … ], "end_date": "2019-08-24", "id": "string", "is_partial": true, "name": "string", "notes": "string", "periods": [ … ], "start_date": "2019-08-24", "status": "closed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } }